#ifndef LINUX_PLATFORM_H
#define LINUX_PLATFORM_H

#include <sys/mman.h>
#include <sys/stat.h>

#include <unistd.h>
#include <fcntl.h>

//= rhjr: multi-threading

#include <pthread.h>
#include <sys/syscall.h>

//= rhjr: platform memory management

internal void * platform_memory_reserve(u64 size);
internal b8     platform_memory_commit(void *ptr, u64 size);
internal void   platform_memory_decommit(void *ptr, u64 size);
internal void   platform_memory_release(void *ptr, u64 size);

#endif // LINUX_PLATFORM_H
